/*
 * DateCellEditor.java
 *
 * Created on 10 June 2006, 10:53
 */

package com.builder.uk.todotasks;

import java.awt.Component;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.EventObject;
import javax.swing.AbstractCellEditor;
import javax.swing.JFormattedTextField;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;

/**
 *
 * @author dj
 */
public class DateCellEditor extends AbstractCellEditor implements TableCellEditor {
    JFormattedTextField formattedField=new JFormattedTextField(new DateOrBlankFormatter());
    
    /** Creates a new instance of DateCellEditor */
    public DateCellEditor() {
    }

    public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {
        if(value==null || (value instanceof String && value.equals("")))
        {
            formattedField.setValue(null);
        }
        else if(value instanceof Date)
        {
            formattedField.setValue(value);
        }
        return formattedField;
    }
    
    public Object getCellEditorValue() {
        return formattedField.getValue();
    }
    

    public boolean shouldSelectCell(EventObject anEvent) {
        return true;
    }
    
}
