/*
 * DoneCellEditor.java
 *
 */

package com.builder.uk.todotasks;

import java.awt.Color;
import java.awt.Component;
import java.awt.event.MouseEvent;
import java.util.EventObject;
import javax.swing.AbstractCellEditor;
import javax.swing.JTable;
import javax.swing.event.CellEditorListener;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import javax.swing.table.TableCellEditor;
import javax.swing.JSlider;


/**
 *
 * @author Dj
 */
public class DoneCellEditor extends AbstractCellEditor implements TableCellEditor {
    
    JSlider slider=new JSlider(0,100);
    
    /** Creates a new instance of DoneCellEditor */
    public DoneCellEditor() {
        slider.addChangeListener(new ChangeListener() {
            public void stateChanged(ChangeEvent e) {
                if(!slider.getValueIsAdjusting())
                {
                    stopCellEditing();
                }
            }
        });
    }

    public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {
        if(value instanceof Integer)
        {
            slider.setValue(((Integer)value).intValue());
        }
        return slider;
    }
    
    public Object getCellEditorValue() {
        return new Integer(slider.getValue());
    }
    

    public boolean shouldSelectCell(EventObject anEvent) {
        return true;
    }
    
}
