/*
 * Report.java
 *
 * Created on 05 June 2006, 12:28
 */

package com.builder.uk.todotasks.servlets;

import com.builder.uk.todotasks.Task;
import com.builder.uk.todotasks.Tasks;
import java.io.IOException;
import java.io.PrintWriter;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author dj
 */
public class Report extends HttpServlet {
    
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException,IOException {
        ServletContext sc=getServletContext();
        Tasks tasks=(Tasks)sc.getAttribute("tasks");
        
        PrintWriter writer=resp.getWriter();
        writer.write("<HTML><HEAD><TITLE>All Tasks</TITLE></HEAD><BODY><H1>All Tasks</H1>");
        writer.write("<TABLE><TR>");
        writer.write("<TH>Name</TH><TH>Priority</TH><TH>Done%</TH><TH>Due Date</TH><TH>Completed</TH>");
        writer.write("</TR>");
        
        List<Long> taskids=tasks.getTaskIds();
        
        for(Long l:taskids) {
            Task t=tasks.getTask(l);
            writer.write("<TR>");
            writer.write("<TD>"+format(t.getName())+"</TD>");
            writer.write("<TD>"+format(t.getPriority())+"</TD>");
            writer.write("<TD>"+format(t.getDonePercent())+"</TD>");
            writer.write("<TD>"+format(t.getDueDate())+"</TD>");
            writer.write("<TD>"+format(t.getCompletedDate())+"</TD>");
            writer.write("</TR>");
        }
        
        writer.write("</TABLE></BODY></HTML>");
        writer.close();
    }
    
    private static SimpleDateFormat sdf=new SimpleDateFormat("d/M/y");
    
    private static String format(Object o) {
        if(o==null) return "";
        if(o instanceof Date) return sdf.format(o);
        return org.apache.commons.lang.StringEscapeUtils.escapeHtml(o.toString());
    }
}
